<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<!--Set Viewport for Mobile Devices -->
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>
<?php
	global $page, $paged, $post;
	wp_title( '|', true, 'right' );
	bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'ocmx' ), max( $paged, $page ) );
?>
</title>
<!-- Setup OpenGraph support-->
<?php if(get_option("ocmx_open_graph") !="yes") {
	$default_thumb = get_option('ocmx_site_thumbnail');
	$fb_image = get_fbimage();
	if(is_home()) : ?>
	<meta property="og:title" content="<?php bloginfo('name'); ?>"/>
	<meta property="og:description" content="<?php bloginfo('description'); ?>"/>
	<meta property="og:url" content="<?php echo home_url(); ?>"/>
	<meta property="og:image" content="<?php if(isset($default_thumb) && $default_thumb !==""){echo $default_thumb; } else {echo $fb_image;}?>"/>
	<meta property="og:type" content="<?php echo "website";?>"/>
	<meta property="og:site_name" content="<?php bloginfo('name'); ?>"/>
<?php else : ?>
	<meta property="og:title" content="<?php the_title(); ?>"/>
	<meta property="og:description" content="<?php echo strip_tags($post->post_excerpt); ?>"/>
	<meta property="og:url" content="<?php the_permalink(); ?>"/>
	<meta property="og:image" content="<?php if($fb_image ==""){echo $default_thumb;} else {echo $fb_image;} ?>"/>
	<meta property="og:type" content="<?php echo "article"; ?>"/>
	<meta property="og:site_name" content="<?php bloginfo('name'); ?>"/>
<?php endif;
}

// Custom favicon
if(get_option("ocmx_custom_favicon") != "") : ?>
	<link href="<?php echo get_option("ocmx_custom_favicon"); ?>" rel="icon" type="image/png" />
<?php endif; ?>

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> id="top">

<?php get_sidebar(); ?>

<div id="wrapper" class="<?php echo get_option("ocmx_site_layout"); ?>">

	<?php get_template_part( 'functions/anchor-dots' ); ?>

	<div id="header-container" <?php if(get_option("ocmx_header_gradient") != 'yes') echo "style='background: none;'" ?>>

		<div id="header" class="clearfix">
			<div class="logo">
				<h1 <?php if(get_option("ocmx_custom_logo") =="") echo 'class="default-logo"'; ?>>
					<a href="<?php echo home_url(); ?>">
						<?php if(get_option("ocmx_custom_logo")) : ?>
							<img src="<?php echo get_option("ocmx_custom_logo"); ?>" alt="<?php bloginfo('name'); ?>" />
						<?php else : ?>
							<?php bloginfo('name'); ?>
						<?php endif; ?>
					</a>
				</h1>
			</div>

			<a id="menu-drop-button" href="#">
				<?php if( '' != get_option( 'ocmx_menu_button_label' ) ) {
					echo get_option( 'ocmx_menu_button_label' );
				} else {
					_e( 'Menu' , 'ocmx' );
				} ?>
			</a>
		</div>

		<?php if(!is_home() && wp_basename( get_page_template() ) != 'widget-page.php') : ?>
			<?php get_template_part('/functions/page-title'); ?>
		<?php endif; ?>
	</div>

	<div id="content-container" class="clearfix">