<?php function ocmx_theme_options(){
	global $obox_meta, $theme_options, $obox_themename, $obox_themeid, $customizer_options;
	if(!isset($theme_options))
		$theme_options = array();
	$theme_options["general_site_options"] =
			array(
				array("label" => "Custom Logo", "description" => "Full URL or folder path to your custom logo.", "name" => "ocmx_custom_logo", "default" => "", "id" => "upload_button", "input_type" => "file", "args" => array("width" => 90, "height" => 75)),
				array("label" => "Favicon", "description" => "Select a favicon for your site", "name" => "ocmx_custom_favicon", "default" => "", "id" => "upload_button_favicon", "input_type" => "file", "sub_title" => "favicon", "args" => array("width" => 16, "height" => 16)),
				array("label" => "Custom Login Logo", "description" => "Select a custom login logo, recommended dimensions (326px x 82px)", "name" => "ocmx_custom_login", "default" => "", "id" => "upload_button_login", "input_type" => "file", "sub_title" => "login logo", "args" => array("width" => 326, "height" => 82)),
				array(
					"main_section" => "Facebook Sharing Options",
					"main_description" => "Set a default image URL to appear on Facebook shares if no featured image is found. Recommended size 200x200.",
					"sub_elements" =>
						array(
							array("label" => "Disable OpenGraph?", "description" => "Select No if you want to disable the theme's OpenGraph support(do this only if using a conflicting plugin)", "name" => "ocmx_open_graph", "default" => "no", "id" => "ocmx_open_graph", "input_type" => 'select', 'options' => array('Yes' => 'yes', 'No' => 'no')
							),

							array("label" => "Image URL", "description" => "", "name" => "ocmx_site_thumbnail", "sub_title" => "Open Graph image", "default" => "", "id" => "upload_button_ocmx_site_thumbnail", "input_type" => "file", "args" => array("width" => 80, "height" => 80)
							)
						)
				),

				array("label" => "Navigation Dots", "description" => "Choose the position of the navigation dots.", "name" => "ocmx_nav_dots", "default" => "right", "id" => "ocmx_nav_dots", "input_type" => 'select', 'options' => array('Left' => 'left', 'Right' => 'right')),

				array(
					"main_section" => "Post Meta",
					"main_description" => "These settings control which post meta is displayed in posts.",
					"sub_elements" => array(
							array(
								"label" => "Date",
								"description" => "Check on to display dates in your post meta.","name" => "ocmx_meta_date",
								"name" => "ocmx_meta_date_post",
								"default" => "true",
								"id" => "ocmx_meta_date_post",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Tags",
								"description" => "Check to show tags on single posts",
								"name" => "ocmx_meta_tags_post",
								"default" => "false",
								"id" => "ocmx_meta_tags_post",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Show Social Sharing",
								"name" => "ocmx_meta_social_post",
								"description" => "Check on to display social sharing options in your post meta.",
								"default" => "true",
								"id" => "ocmx_meta_social_post",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Category Link",
								"description" => "Uncheck to hide the category link on posts.",
								"name" => "ocmx_meta_category_post",
								"default" => "true",
								"id" => "ocmx_meta_category_post",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Author Link",
								"description" => "Uncheck to hide the author link on posts.",
								"name" => "ocmx_meta_author_post",
								"default" => "true",
								"id" => "ocmx_meta_author_post",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Show Author Block on Posts",
								"description" => "Uncheck to hide the author info at the bottom of the post. ",
								"name" => "ocmx_meta_author_block_post",
								"default" => "true",
								"id" => "ocmx_meta_author_block_post",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Show Next &amp; Previous Links",
								"description" => "Uncheck to hide the post navigation below the post content.",
								"name" => "ocmx_meta_post_links_post",
								"default" => "true",
								"id" => "ocmx_meta_post_links_post",
								"input_type" => "checkbox"
							),
						)
					),
				array(
					"main_section" => "Page Meta",
					"main_description" => "These settings control which meta is displayed in pages.",
					"sub_elements" => array(
							array(
								"label" => "Date",
								"description" => "Check on to display dates in your post meta.","name" => "ocmx_meta_date",
								"name" => "ocmx_meta_date_page",
								"default" => "true",
								"id" => "ocmx_meta_date_page",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Author Link",
								"description" => "Uncheck to hide the author link on posts.",
								"name" => "ocmx_meta_author_page",
								"default" => "true",
								"id" => "ocmx_page_meta_author_page",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Show Author Block on Pages",
								"description" => "Uncheck to hide the author info at the bottom of the page. ",
								"name" => "ocmx_meta_author_block_page",
								"default" => "true",
								"id" => "ocmx_meta_author_block_page",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Show Social Sharing",
								"name" => "ocmx_meta_social_page",
								"description" => "Check on to display social sharing options in your post meta.",
								"default" => "true",
								"id" => "ocmx_meta_social_page",
								"input_type" => "checkbox"
							)
						)
					),
				array(
					"main_section" => "Custom Styling",
					"main_description" => "Set your own custom social buttons and CSS for any element you wish to restyle.",
					"sub_elements" =>
						array(

							array("label" => "Custom CSS", "description" => "Enter changed classes from the theme stylesheet, or custom CSS here.", "name" => "ocmx_custom_css", "default" => "", "id" => "ocmx_custom_css", "input_type" => "memo"),
							array("label" => "Social Widget Code", "description" => "Paste the template tag or code for your social sharing plugin here.", "name" => "ocmx_social_tag", "default" => "", "id" => "", "input_type" => "memo"),
							 )
					),
				array("label" => "Custom RSS URL", "description" => "Paste the URL to your custom RSS feed, such as Feedburner.", "name" => "ocmx_rss_url", "default" => "", "id" => "", "input_type" => "text"),
				array(
					"main_section" => "Press Trends Analytics",
					"main_description" => "Select Yes Opt out. No personal data is collected.",
					"sub_elements" =>
					array(
						array("label" => "Disable Press Trends?", "description" => "PressTrends helps Obox build better themes and provide awesome support by retrieving aggregated stats. PressTrends also provides a <a href='http://wordpress.org/extend/plugins/presstrends/' title='PressTrends Plugin for WordPress' target='_blank'>plugin for you</a> that delivers stats on how your site is performing against similar sites like yours. <a href='http://www.presstrends.me' title='PressTrends' target='_blank'>Learn more&hellip;</a>","name" => "ocmx_disable_press_trends", "default" => "no", "id" => "ocmx_disable_press_trends", "input_type" => 'select', 'options' => array('Yes' => 'yes', 'No' => 'no'))
						 )
					 )
			);

	$theme_options["header_options"] = array(
		array("label" => "Header Gradient", "description" => "Select whether or not to display a header gradient throughout the site.","name" => "ocmx_header_gradient", "default" => "yes", "id" => "ocmx_header_gradient", "input_type" => 'select', 'options' => array('Enabled' => 'yes', 'Disabled' => 'no')),
		array("label" => "Title Banner Display", "description" => "Select whether or not to display the title banner.","name" => "ocmx_hide_title", "default" => "yes", "id" => "ocmx_hide_title", "input_type" => 'select', 'options' => array('Show Title' => 'yes', 'Hide Title' => 'no')),
		array("label" => "Page Title Description", "description" => "Select whether or not to display a description below the page titles throughout the site.","name" => "ocmx_pagetitle_copy", "default" => "yes", "id" => "ocmx_pagetitle_copy", "input_type" => 'select', 'options' => array('Enabled' => 'yes', 'Disabled' => 'no')),
		array(
			"main_section" => "Navigation",
			"main_description" => "",
			"sub_elements" => array(
				array(
					"label" => "Menu Label",
					"description" => "","name" => "ocmx_menu_button_label",
					"default" => "Menu",
					"id" => "ocmx_menu_button_label",
					"input_type" => "text"
				)
			)
		)

	);

	$theme_options["footer_options"] = array(

		array("label" => "Custom Footer Text", "description" => "", "name" => "ocmx_custom_footer", "default" => "Copyright ".date("Y")."&nbsp;". $obox_themename." was created in WordPress by Obox Themes."	, "id" => "ocmx_custom_footer", "input_type" => "memo"),

		array("label" => "Hide Obox Logo", "description" => "Hide the Obox Logo from the footer.", "name" => "ocmx_logo_hide", "default" => "false", "id" => "ocmx_logo_hide", "input_type" => 'select', 'options' => array('Yes' => 'true', 'No' => 'false')),

		array("label" => "Site Analytics", "description" => "Enter in the Google Analytics Script here.","name" => "ocmx_googleAnalytics", "default" => "", "id" => "","input_type" => "memo")
	);

	$theme_options["layout_options"] = array(
		array(
				"label" => "Site Layout",
				"description" => "Would you like your site to be contained or span the full width of your web page?",
				"name" => "ocmx_site_layout", "default" => "fullwidth",
				"id" => "ocmx_site_layout",
				"input_type" => "hidden",
				"default" => "fullwidth",
				"options" =>
					array(
							"fullwidth" => array("label" => "Wide", "description" => ""),
							"boxed" => array("label" => "Boxed", "description" => "")
						)
				),
		array(
				"label" => "Home Page Layout",
				"description" => "Set your home page to either display as a blog, mimic our theme demo or take full control by using widgets.",
				"name" => "ocmx_home_page_layout", "default" => "blog",
				"id" => "ocmx_home_page_layout",
				"input_type" => "hidden",
				"default" => "blog",
				"options" =>
					array(
							"blog" => array("label" => "Blog", "description" => "Set your home page to display like a normal blog.", "load_options" => "widget_home_options"),
							"preset" => array("label" => "Preset", "description" => "Mimic the exact layout of our theme demo.", "load_options" => "preset_home_options"),
							"widget" => array("label" => "Widget Driven", "description" => "Take control by setting up your home page with widgets.")
						)
				)
	);

$slider_cats = get_terms("slider-category", "orderby=count&hide_empty=0");
$slider_cat_list["Exclude This Widget"] = 1;
$slider_cat_list["All"] = 0;
foreach($slider_cats as $category) :
	if(isset($category->name))
		$slider_cat_list[$category->name] = $category->slug;
endforeach;

$services_cats = get_terms("services-category", "orderby=count&hide_empty=0");
$services_cat_list["Exclude This Widget"] = 1;
$services_cat_list["All"] = 0;
foreach($services_cats as $category) :
	if(isset($category->name))
		$services_cat_list[$category->name] = $category->slug;
endforeach;

$portfolio_cats = get_terms("portfolio-category", "orderby=count&hide_empty=0");
$portfolio_cat_list["Exclude This Widget"] = 1;
$portfolio_cat_list["All"] = 0;
foreach($portfolio_cats as $category) :
	if(isset($category->name))
		$portfolio_cat_list[$category->name] = $category->slug;
endforeach;

$team_cats = get_terms("team-category", "orderby=count&hide_empty=0");
$team_cat_list["Exclude This Widget"] = 1;
$team_cat_list["All"] = 0;
foreach($team_cats as $category) :
	if(isset($category->name))
		$team_cat_list[$category->name] = $category->slug;
endforeach;

$testimonials_cats = get_terms("testimonials-category", "orderby=count&hide_empty=0");
$testimonials_cat_list["Exclude This Widget"] = 1;
$testimonials_cat_list["All"] = 0;
foreach($testimonials_cats as $category) :
	if(isset($category->name))
		$testimonials_cat_list[$category->name] = $category->slug;
endforeach;

$partners_cats = get_terms("partners-category", "orderby=count&hide_empty=0");
$partners_cat_list["Exclude This Widget"] = 1;
$partners_cat_list["All"] = 0;
foreach($partners_cats as $category) :
	if(isset($category->name))
		$partners_cat_list[$category->name] = $category->slug;
endforeach;

$theme_options["preset_home_options"] =
	array(
		array(
			"main_section" => "Feature Slider",
			"main_description" => "Select which posts will be used for the Homepage Post Slider.",
			"sub_elements" =>
				array(
					array("label" => "Category", "description" => "", "name" => "ocmx_slider_cat", "default" => "0", "zero_wording" => "Exclude This Widget", "id" => "ocmx_slider_cat", "input_type" => "select", "options" => $slider_cat_list),
					array("label" => "Post Count", "description" => "", "name" => "ocmx_feature_post_count", "default" => "0", "id" => "ocmx_feature_post_count", "input_type" => "select", "options" => array("1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10")),
					array("label" => "Auto Slide Interval (seconds)", "description" => "(Set to 0 for no auto-sliding)", "name" => "ocmx_feature_post_interval", "id" => "", "input_type" => "input"),
				)
		),

		array(
			"main_section" => "Services Three Column",
			"main_description" => "Select options for your services.",
			"sub_elements" =>
				array(
					array("label" => "Title", "description" => "", "name" => "ocmx_services_three_col_title", "id" => "", "input_type" => "input"),
					array("label" => "Intro Text", "description" => "", "name" => "ocmx_services_three_col_text", "id" => "", "input_type" => "memo"),
					array("label" => "Category", "description" => "", "name" => "ocmx_services_three_col_cat", "default" => "0", "zero_wording" => "Exclude this Widget", "id" => "ocmx_services_three_col_cat", "input_type" => "select", "options" => $services_cat_list),
					array("label" => "Post Count", "description" => "", "name" => "ocmx_services_three_col_post_count", "default" => "0", "id" => "", "input_type" => "select", "options" => array("3" => "3", "6" => "6", "9" => "9", "12" => "12")),
					array("label" => "Show Excerpt", "description" => "", "name" => "ocmx_services_three_col_excerpt", "default" => "0", "zero_wording" => "Yes", "id" => "", "input_type" => "select", "options" => array("Yes" => "on", "No" => "off")),
					array("label" => "Excerpt Length (character count)", "description" => "", "name" => "ocmx_services_three_col_excerpt_length", "id" => "", "input_type" => "input")

				)
		),

		array(
			"main_section" => "Portfolio Three Column",
			"main_description" => "Select options for your portfolio.",
			"sub_elements" =>
				array(
					array("label" => "Title", "description" => "", "name" => "ocmx_portfolio_three_col_title", "id" => "", "input_type" => "input"),
					array("label" => "Intro Text", "description" => "", "name" => "ocmx_portfolio_three_col_text", "id" => "", "input_type" => "memo"),
					array("label" => "Category", "description" => "", "name" => "ocmx_portfolio_three_col_cat", "default" => "0", "zero_wording" => "Exclude this Widget", "id" => "ocmx_portfolio_three_col_cat", "input_type" => "select", "options" => $portfolio_cat_list),
					array("label" => "Post Count", "description" => "", "name" => "ocmx_services_three_col_post_count", "default" => "0", "id" => "", "input_type" => "select", "options" => array("3" => "3", "6" => "6", "9" => "9", "12" => "12")),
					array("label" => "Show Images/Video?", "description" => "", "name" => "ocmx_portfolio_three_col_images", "default" => "1", "id" => "", "input_type" => "select", "options" => array("Images" => "1", "Videos" => "0", "None" => "none"))

				)
		),

		array(
			"main_section" => "Team Four Column",
			"main_description" => "Select options for your team.",
			"sub_elements" =>
				array(
					array("label" => "Title", "description" => "", "name" => "ocmx_team_four_col_title", "id" => "", "input_type" => "input"),
					array("label" => "Intro Text", "description" => "", "name" => "ocmx_team_four_col_text", "id" => "", "input_type" => "memo"),
					array("label" => "Category", "description" => "", "name" => "ocmx_team_four_col_cat", "default" => "0", "zero_wording" => "Exclude this Widget", "id" => "ocmx_team_four_col_cat", "input_type" => "select", "options" => $team_cat_list),
					array("label" => "Post Count", "description" => "", "name" => "ocmx_team_four_col_post_count", "default" => "0", "id" => "", "input_type" => "select", "options" => array("4" => "4", "8" => "8", "12" => "12"))

				)
		),

		array(
			"main_section" => "Text Widget",
			"main_description" => "Select options for your text widget.",
			"sub_elements" =>
				array(
					array("label" => "Title", "description" => "", "name" => "ocmx_text_widget_title", "id" => "", "input_type" => "input"),
					array("label" => "Text", "description" => "", "name" => "ocmx_text_widget_text", "id" => "", "input_type" => "memo"),
				)
		),

		array(
			"main_section" => "Testimonials",
			"main_description" => "Select options for your testimonials.",
			"sub_elements" =>
				array(
					array("label" => "Category", "description" => "", "name" => "ocmx_testimonials_cat", "default" => "0", "zero_wording" => "Exclude this Widget", "id" => "ocmx_testimonials_cat", "input_type" => "select", "options" => $testimonials_cat_list),
					array("label" => "Post Count", "description" => "", "name" => "ocmx_testimonials_post_count", "default" => "0", "id" => "", "input_type" => "select", "options" => array("1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10")),
					array("label" => "Auto Slide Interval (seconds)", "description" => "(Set to 0 for no auto-sliding)", "name" => "ocmx_testimonials_interval", "id" => "", "input_type" => "input"),
				)
		),

		array(
			"main_section" => "Partners Six Column",
			"main_description" => "Select options for your partners.",
			"sub_elements" =>
				array(
					array("label" => "Title", "description" => "", "name" => "ocmx_partners_six_col_title", "id" => "", "input_type" => "input"),

					array("label" => "Intro Text", "description" => "", "name" => "ocmx_partners_six_col_text", "id" => "", "input_type" => "memo"),

					array("label" => "Category", "description" => "", "name" => "ocmx_partners_six_col_cat", "default" => "0", "zero_wording" => "Exclude this Widget", "id" => "ocmx_partners_six_col_cat", "input_type" => "select", "options" => $partners_cat_list),

					array("label" => "Post Count", "description" => "", "name" => "ocmx_partners_four_col_post_count", "default" => "0", "id" => "", "input_type" => "select", "options" => array("6" => "6", "12" => "12", "18" => "18"))

				)
		),

		array(
			"main_section" => "Map Widget",
			"main_description" => "Select options for your map.",
			"sub_elements" =>
				array(
					array("label" => "Title", "description" => "", "name" => "ocmx_map_widget_title", "id" => "", "input_type" => "input"),
					array("label" => "Intro Text", "description" => "", "name" => "ocmx_map_widget_text", "id" => "", "input_type" => "memo"),
					array("label" => "Google Maps Location", "description" => "", "name" => "ocmx_map_widget_location", "id" => "", "input_type" => "input"),
					array("label" => "Address Shown", "description" => "", "name" => "ocmx_map_widget_address", "id" => "", "input_type" => "memo"),
				)
		),
	);


	// CUSTOMIZER SETTINGS
	$customizer_options[] = array(
			'section_title' => 'Header',
			'section_slug' => 'obox_header',
			'elements' => array(
					array(
						'slug' => 'obox_header_background',
						'label' => 'Header Background',
						'default' => '#3498DB',
						'selectors' => '#header',
						'css'	=> 'background',
						'jquery'	=> 'background'
					),
					array(
						'slug' => 'obox_nav_background',
						'label' => 'Menu Button Background',
						'default' => '',
						'selectors' => '#menu-drop-button',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'obox_menu_text',
						'label' => 'Menu Label',
						'default' => '#FFF',
						'selectors' => '#menu-drop-button',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_logo_text',
						'label' => 'Logo Text (if no image)',
						'default' => '#3498DB',
						'selectors' => '.logo h1 a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
				),
		);

	$customizer_options[] = array(
			'section_title' => 'Sidebar/Menu Panel',
			'section_slug' => 'obox_sidebar_panel',
			'elements' => array(
					array(
						'slug' => 'obox_sidebar_background',
						'label' => 'Sidebar Panel Background',
						'default' => '#111',
						'selectors' => '#sidebar-container',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'obox_menu_links',
						'label' => 'Menu Links',
						'default' => '#777',
						'selectors' => 'ul#nav li a, ul#nav ul.sub-menu li a, ul#nav .children li a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_menu_links_hover',
						'label' => 'Menu Links Hover',
						'default' => '#FFF',
						'selectors' => 'ul#nav li a:hover, ul#nav ul.sub-menu li a:hover, ul#nav .children li a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_menu_links_background_hover',
						'label' => 'Menu Links Hover Background',
						'default' => 'transparent',
						'selectors' => 'ul#nav li a:hover',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'obox_sidebar_links',
						'label' => 'Sidebar Widget Links',
						'default' => '#FFF',
						'selectors' => '#sidebar-container .widget-list a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_sidebar_links_hover',
						'label' => 'Sidebar Widget Links Hover',
						'default' => '#777',
						'selectors' => '#sidebar-container .widget-list a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_sidebar_borders',
						'label' => 'Sidebar Widget Border',
						'default' => '#333',
						'selectors' => '#sidebar-container .widget, ul#nav',
						'css'	=> 'border-color',
						'jquery'	=> 'borderColor'
					),
					array(
						'slug' => 'obox_sidebar_titles',
						'label' => 'Sidebar Widget Titles',
						'default' => '#CCC',
						'selectors' => '#sidebar-container .widgettitle',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_sidebar_text',
						'label' => 'Sidebar Widget Text',
						'default' => '#CCC',
						'selectors' => '#sidebar-container .widget p, #sidebar-container .widget .copy, #sidebar-container .widget h5',
						'css'	=> 'color',
						'jquery'	=> 'color'
					)
				),
		);

	$customizer_options[] = array(
			'section_title' => 'Posts & Pages',
			'section_slug' => 'obox_header_breadcrumbs',
			'elements' => array(
					array(
						'slug' => 'obox_main_background',
						'label' => 'Content Background',
						'default' => '#FFF',
						'selectors' => '#content-container',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'obox_post_title',
						'label' => 'Post Title',
						'default' => '#000000',
						'selectors' => '.post .post-title a, .post-title, .post-title a, .post-container .post-title a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_post_title_hover',
						'label' => 'Post Title Hover',
						'default' => '#3498DB',
						'selectors' => '.post .post-title a:hover, .post-title:hover, .post-title a:hover, .post-container .post-title a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_post_copy',
						'label' => 'General Text Color',
						'default' => '#595959',
						'selectors' => 'p, .copy, .copy ul li, .single .copy p:first-of-type',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_post_links',
						'label' => 'General Link Color',
						'default' => '#3498DB',
						'selectors' => 'a, .copy a, .author-content .author-name a,.comment .comment-edit-link, .next-prev-post-nav a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_post_links_hover',
						'label' => 'General Link Hover Color',
						'default' => '#555',
						'selectors' => 'a:hover, .copy a:hover, .author-content .author-name a:hover,.comment .comment-edit-link:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_post_meta',
						'label' => 'Post Meta',
						'default' => '#999',
						'selectors' => '.post-date, .comment .date, #respond .comment-notes, #respond .logged-in-as,.next-prev-post-nav small',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_comments_title',
						'label' => 'Comments Titles',
						'default' => '#111',
						'selectors' => '#comments .comments-title, #respond #reply-title,.comment .fn a, #respond label',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_comments_title_hover',
						'label' => 'Comments Titles Hover',
						'default' => '#3498DB',
						'selectors' => '#comments .comments-title:hover, #respond #reply-title:hover,.comment .fn a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_form_fields',
						'label' => 'Form Fields Text',
						'default' => '#595959',
						'selectors' => 'textarea, input, button',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_form_fields_background',
						'label' => 'Form Fields Background',
						'default' => '#FFF',
						'selectors' => 'textarea, input, button',
						'css'	=> 'background',
						'jquery'	=> 'background'
					),
					array(
						'slug' => 'obox_content_borders',
						'label' => 'Content Borders',
						'default' => '#E0E0E0',
						'selectors' => '.next-prev-post-nav, textarea,.copy blockquote,.post,#comments',
						'css'	=> 'border-color',
						'jquery'	=> 'borderColor'
					),
				),
		);

	$customizer_options[] = array(
			'section_title' => 'Buttons',
			'section_slug' => 'obox_buttons_content',
			'elements' => array(
					array(
						'slug' => 'obox_button_text',
						'label' => 'General Button Text',
						'default' => '#FFF',
						'selectors' => 'button, input[type="button"], input[type="submit"], .share-button label',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_button_background',
						'label' => 'General Button Background',
						'default' => '#3498DB',
						'selectors' => 'button, input[type="button"], input[type="submit"], .share-button label',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'obox_button_background_hover',
						'label' => 'Button Background Hover',
						'default' => '#000',
						'selectors' => 'button:hover, input[type="button"]:hover, input[type="submit"]:hover, .share-button label:hover',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'obox_button_text_hover',
						'label' => 'Button Text Hover',
						'default' => '#FFF',
						'selectors' => 'button:hover, input[type="button"]:hover, input[type="submit"]:hover, .share-button label:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_more_button_text',
						'label' => 'Read More Button Text',
						'default' => '#999',
						'selectors' => '.post .read-more',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_more_button_background',
						'label' => 'Read More Border Color',
						'default' => '#333',
						'selectors' => '.post .read-more',
						'css'	=> 'border-color',
						'jquery'	=> 'borderColor'
					),
					array(
						'slug' => 'obox_more_button_background_hover',
						'label' => 'Read More Border Hover',
						'default' => '#3498DB',
						'selectors' => '.post .read-more:hover',
						'css'	=> 'border-color',
						'jquery'	=> 'borderColor'
					),
					array(
						'slug' => 'obox_more_button_text_hover',
						'label' => 'Read More Button Text Hover',
						'default' => '#3498DB',
						'selectors' => '.post .read-more:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_button_pagination_background',
						'label' => 'Pagination Button',
						'default' => '#515151',
						'selectors' => '.pagination .next a, .pagination .previous a',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'obox_button_pagination_background_hover',
						'label' => 'Pagination Hover',
						'default' => '#000000',
						'selectors' => '.pagination .next a:hover, .pagination .previous a:hover',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'obox_button_pagination_border',
						'label' => 'Pagination Border',
						'default' => '#333',
						'selectors' => '.pagination a',
						'css'	=> 'border-color',
						'jquery'	=> 'borderColor'
					),
					array(
						'slug' => 'obox_button_pagination_border_hover',
						'label' => 'Pagination Border Hover',
						'default' => '#3498DB',
						'selectors' => '.pagination a:hover',
						'css'	=> 'border-color',
						'jquery'	=> 'borderColor'
					),
					array(
						'slug' => 'obox_reply_button_text',
						'label' => 'Reply Button Text',
						'default' => '#000',
						'selectors' => '.comment .reply a',
						'css'	=> 'background',
						'jquery'	=> 'background'
					),
					array(
						'slug' => 'obox_reply_button_background',
						'label' => 'Reply Button Background',
						'default' => '#F0F0F0',
						'selectors' => '.comment .reply a',
						'css'	=> 'background',
						'jquery'	=> 'background'
					),
					array(
						'slug' => 'obox_reply_button_background_hover',
						'label' => 'Reply Button Background Hover',
						'default' => '#515151',
						'selectors' => '.comment .reply a',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'obox_reply_button_text_hover',
						'label' => 'Reply Button Text Hover',
						'default' => '#000',
						'selectors' => '.comment .reply a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
				),
		);

	$customizer_options[] = array(
			'section_title' => 'Footer',
			'section_slug' => 'obox_footer',
			'elements' => array(
					array(
						'slug' => 'obox_footer_background',
						'label' => 'Footer Background',
						'default' => '#333',
						'selectors' => '#footer-base-container',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'obox_footer_text',
						'label' => 'Footer Text',
						'default' => '#595959',
						'selectors' => '.footer-text',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_footer_link',
						'label' => 'Footer Links',
						'default' => '#999',
						'selectors' => '.footer-text a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'obox_footer_link_hover',
						'label' => 'Footer Link Hover',
						'default' => '#fff',
						'selectors' => '.footer-text a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					)
				),
		);



	/***************************************************************************/
	/* Setup Defaults for this theme for options which aren't set in this page */
	if(is_admin() && !get_option($obox_themeid."-defaults")) :
		update_option("ocmx_general_font_style_default",
						"'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
		update_option("ocmx_navigation_font_style_default",
						"'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
		update_option("ocmx_sub_navigation_font_style_default",
						"'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
		update_option("ocmx_post_font_titles_style_default",
						"'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
		update_option("ocmx_post_font_meta_style_default",
						"'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
		update_option("ocmx_post_font_copy_font_style_default",
						"'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
		update_option("ocmx_widget_font_titles_font_style_default",
						"'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
		update_option("ocmx_widget_footer_titles_font_size_default",
						"'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");

		update_option("ocmx_general_font_size_default",
						"17");
		update_option("ocmx_navigation_font_size_default",
						"12");
		update_option("ocmx_sub_navigation_font_size_default",
						"12");
		update_option("ocmx_post_titles_font_size_default",
						"10");
		update_option("ocmx_post_meta_font_size_default",
						"13");
		update_option("ocmx_post_copy_font_size_default",
						"17");
		update_option("ocmx_widget_titles_font_size_default",
						"15");
		update_option("ocmx_widget_footer_titles_font_size_default",
						"15");
		update_option($obox_themeid."-defaults", 1);
	endif;
}
add_action ( 'init' , 'ocmx_theme_options' );