jQuery.noConflict();

/*
TABLE OF CONTENTS:
-------------------------------------
1 - SIDEBAR
2 - SCREEN HEIGHT ADJUSTER
3 - SCREEN MARGIN ADJUSTER
4 - FITVID
5 - NANO SCROLLER
6 - TEAM JQUERY
7 - FEATURES
8 - TESTIMONIALS JQUERY
9 - BACK TO TOP
10 -PORTFOLIO WIDGET JQUERY
11 - HOME PAGE ANCHORS
*/

jQuery(document).ready(function() {

	/*- 1 - SIDEBAR
	-------------------------------------------*/
	jQuery("#menu-drop-button").bind("click", function(e){
		jQuery(" #sidebar-container , #wrapper").toggleClass( 'open' );
		e.stopPropagation();
		return false;
	});

	jQuery( "#sidebar-container" ).bind("click", function(e){
		e.stopPropagation();
	});

	jQuery("body").bind("click", function(){
		if( jQuery( "#sidebar-container" ).hasClass("open") ){
			jQuery(" #sidebar-container , #wrapper").removeClass( 'open' );
		}
	});


	/*- 2- SCREEN HEIGHT ADJUSTER
	------------------------------------------*/
	jQuery('.slider, .slider li').css({ height: jQuery(window).height() });

	jQuery(window).resize(function(){
		jQuery('.slider, .slider li').css({ height: jQuery(window).height() });
	});

	$headerheight = jQuery("#header-container").outerHeight();
	jQuery(".slider li").css( { "paddingTop": $headerheight } );
	jQuery(".home #content-container, .page-template-widget-page-php #content-container").css( { "paddingTop": -$headerheight } );

	$headerheight = jQuery("#header").outerHeight();
	jQuery("#title-container").css( { "marginTop": -$headerheight } );



	/*- 3 - SCREEN MARGIN ADJUSTER
	------------------------------------------*/
	jQuery('#widget-block').css({ marginTop: jQuery(window).height() });

	jQuery(window).resize(function(){
		jQuery('#widget-block').css({ marginTop: jQuery(window).height() });
	});


	/*- 4- FITVID
	--------------------------------------------*/
	jQuery(".fitvid").fitVids();


	/*- 5 - NANO SCROLLER
	-------------------------------------------*/
	jQuery( ".nano" ).nanoScroller({
		contentClass: 'sidebar-content',
		preventPageScrolling: 'true',

	});


	/*- 6 -TEAM JQUERY
	--------------------------------------------*/
	jQuery(".team-member").hover(function () {jQuery(this).find(".description").slideDown("fast");}, function() {jQuery(this).find(".description").slideUp("fast");});


	/*- 7 - FEATURES
	--------------------------------------------*/
	jQuery(".features-title-list li").click(function(){
		oldli = jQuery(".active").index();
		newli = jQuery(this).index();
		jQuery(".active").removeClass("active");
		jQuery(this).addClass("active");

		jQuery("#left-column ul").children("li").eq(oldli).slideUp({duration: 500});
		jQuery("#left-column ul").children("li").eq(newli).slideDown({duration: 500});
		return false;
	});

	/*- 8 - TESTIMONIALS JQUERY
	--------------------------------------------*/

	jQuery(".testimonials-content-widget").each(function(){
		var parent = jQuery(this).children(".testimonials-container");
		parent.animate( {'min-height' : parent.children(".testimonial-item").eq(0).height()} );
	});
	jQuery(".testimonials-content-widget .auto-slide").each(function(){
		var parent = jQuery(this).parent().children(".testimonials-container");
		var interval = (jQuery(this).text()*1000);

		if(jQuery(this).text() == '' || jQuery(this).text() == 0)
			return false;

		testimonial_slide = setInterval(function(){
			var current = parent.children(".testimonial-item.active").index();
			var max = parent.children(".testimonial-item").size();
			if(max > 1) {
				var next = (current+1);
				if(max == next){ var next = 0; }
				parent.animate( {'min-height' : parent.children(".testimonial-item").eq(next).height()} );
				parent.children(".testimonial-item.active").fadeOut({'duration' : 300}).removeClass("active");
				parent.children(".testimonial-item").eq(next).fadeIn({'duration' : 300}).addClass("active");
			}
		}, interval);
	});


	/*- 9 - BACK TO TOP
	--------------------------------------------*/
	jQuery("#back-top").hide();

	jQuery(window).scroll(function () {
		if (jQuery(this).scrollTop() > 300) {
			jQuery('#back-top').fadeIn();
		} else {
			jQuery('#back-top').fadeOut();
		}
	});

	// scroll body to 0px on click
	jQuery('#back-top a').click(function () {
		jQuery('body,html').animate({
			scrollTop: 0
		}, 800);
		return false;
	});

	/*- 10 -PORTFOLIO WIDGET JQUERY
	--------------------------------------------*/

	jQuery( ".portfolio-content-widget .column" ).bind( "click" , function(e) {
		e.preventDefault();
		$div = jQuery(this);
		$container_div = jQuery( $div.data( 'container-div-id' ) );
		$expand_div = $container_div.find( '.expand-portfolio' );

		// Remove current active portfolio item
		$container_div.find( '.column.active' ).removeClass( 'active' );
		$div.addClass( 'active' );

		do_portfolio_slide( $expand_div , $div.data( 'post-id' ) , $div.data( 'container-div-id' ));
	});

	jQuery( ".portfolio-controls .next, .portfolio-controls .previous" ).live( "click" , function(e) {
		e.preventDefault();
		$div = jQuery(this);
		$container_div= jQuery( jQuery(this).parent().data( 'container-div-id' ) );
		$expand_div = $container_div.find( '.expand-portfolio' );
		$active_div = $container_div.find( '.column.active' );

		if( $div.hasClass( 'next' ) ) {
			$next_div = $active_div.next();

			if( '-1' == $next_div.index() ){
				$next_div = $container_div.find( '.column' ).eq(0);
			}
		} else if( $div.hasClass( 'previous' ) ) {
			$next_div = $active_div.prev();

			if( '-1' == $next_div.index() ){
				$end = $container_div.find( '.column' ).length-1;
				$next_div = $container_div.find( '.column' ).eq( $end );
			}
		}

		// Remove current active portfolio item
		$container_div.find( '.column.active' ).removeClass( 'active' );
		$next_div.addClass( 'active' );

		do_portfolio_slide( $expand_div , $next_div.data( 'post-id' ) , $next_div.data( 'container-div-id' ));
	});

	jQuery( ".portfolio-controls .close" ).live( "click" , function(e) {
		e.preventDefault();

		jQuery( '#wrapper' ).addClass( 'show-dots' );
		$container_div= jQuery( jQuery(this).parent().data( 'container-div-id' ) );
		$expand_div = $container_div.find( '.expand-portfolio' );
		$expand_div.slideUp().html('');
	});

	function do_portfolio_slide( $expand_div , $post_id , $container_id ){
		jQuery.get(
			ThemeAjax.ajaxurl,
			{ action: 'ocmx_single_portfolio_ajax' , post_id: $post_id , container_id: $container_id } ,
			function( data ){
				$expand_div.html( data );
				$expand_div.find( ".portfolio-controls" ).animate({ 'opacity' : 1 });
				$expand_div.find( ".portfolio-content" ).animate({ 'opacity' : 1 });
				if( !$expand_div.is(":visible") ){
					$expand_div.slideDown();
				}
				jQuery( '#wrapper' ).removeClass( 'show-dots' );
			}
		);
	};

	/*- 11 -HOME PAGE ANCHORS
	--------------------------------------------*/
	var $waypoints = { };
	function set_waypoints(){
		jQuery( ".dot-nav a" ).each( function() {
			$a = jQuery(this);
			$widget = jQuery( $a.data( 'widget-id' ) );
			$widget_offset = $widget.offset();
			if ( undefined !== $widget_offset ){
				$waypoints[ $a.data( 'widget-id' ) ] = { 'top' : $widget_offset.top-$headerheight , 'bottom' : ( +$widget_offset.top + $widget.outerHeight()-$headerheight ) };
			}
		});
	}

	// Setting waypoints, and show / hide anchors dots according to slider existance

	if ( jQuery( '#widget-block').hasClass( 'no-slider' ) ) { jQuery( '#wrapper' ).addClass( 'show-dots' ); }
	set_waypoints();
	jQuery(window).resize(function () {
		set_waypoints();
	});

	jQuery( ".dot-nav" ).css( 'margin-top' , ( -jQuery( ".dot-nav" ).height() / 2 ) );

	jQuery(window).scroll(function () {
		jQuery( '.dot-nav a.selected').removeClass( "selected" );
		$scrolled = jQuery(this).scrollTop();
		jQuery.each( $waypoints , function( $widget_id , $position ){
			if( ( $position.top <= $scrolled ) && ( $position.bottom > +$scrolled ) ) {
				/* Debug
				console.log(
					$widget_id + "\n" +
					$position.top + " <= " + $scrolled + "\n" +
					$position.bottom + " > " + $scrolled + "\n"
				) */
				jQuery( 'a[data-widget-id="' + $widget_id + '"]').addClass( "selected" );
			}
		});

		if ( undefined === jQuery('#slider-widget') || jQuery(this).scrollTop() > +jQuery('#slider-widget').outerHeight()-10 ) {
			jQuery( '#wrapper' ).addClass( 'show-dots' );
		} else {
			jQuery( '#wrapper' ).removeClass( 'show-dots' );
		}
	});

	jQuery( ".dot-nav a" ).bind( "click" , function(e) {
		e.preventDefault();
		$a = jQuery(this);
		$widget = jQuery( $a.data( 'widget-id' ) );

		if( undefined !== jQuery(this).data( 'top' ) ) {
			$widget_offset.top = 0;
		} else {
			$widget_offset = jQuery( $a.data( 'widget-id' ) ).offset();
		}
		jQuery( ".dot-nav a.selected" ).removeClass( 'selected' );
		$a.addClass( 'selected' );

		jQuery('body,html').animate({
			scrollTop: $widget_offset.top
		}, 800);

		e.stopPropagation();
	});

}); // document.ready